# Functions

`handle_notify()`

  Handles NOTIFY request.

  The module tries to find subscription to which the NOTIFY belongs to (it tries both - confirmed and unconfirmed subscriptions because NOTIFY may arrive before 2xx response on SUBSCRIBE request). If no such subscription exists, the function returns -1, otherwise it processes the request (generates internal notification, ...) and returns 1.